package com.ruoyi.common.enums;

import com.ruoyi.common.core.text.Convert;

/**
 * 是否状态
 *
 * @author JiangYuQi
 */
public enum ShiFouEnum {

    FOU(0, "否"), SHI(1, "是");

    private final Integer code;
    private final String info;

    ShiFouEnum(Integer code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public Integer getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

    public Long getLongCode()
    {
        return Convert.toLong(code);
    }

}
